Calling an Express tool

Discussion in 'AutoCAD' started by dth, Sep 24, 2004.

  1. dth

    dth Guest

    I am trying to include a few lines in an existing lisp that will move item
    to the back in the draw order without user input. I thought I could use the
    SSX command, but it seems you cannot call an Express Tool from within a
    lisp.

    (command "ssx" "" "e" "solid" "")
    (command "draworder" "" "p" "" "back")

    Is there a way to write this where I can get a selection set of all "Solid"
    entities (although getting all hatches would be nice). I started to look at
    ssget, but it does not seem work correctly.

    (setq ss2 (ssget "X" '((0 . "SOLID"))))
    (command "draworder" "" "ss2 "" "back")

    Did I write this wrong? Any help or direction would be appreciated.
     
    dth, Sep 24, 2004
    #1
  2. dth

    BillZ Guest

    (setq ss2 (ssget "X" '((0 . "SOLID,HATCH"))))
    (command "draworder" ss2 "" "back")


    Bill
     
    BillZ, Sep 24, 2004
    #2
  3. dth

    Jim Claypool Guest

    Try removing the "" after "draworder"
     
    Jim Claypool, Sep 24, 2004
    #3
  4. dth

    dth Guest

    Works perfect .... thanks for the help!
     
    dth, Sep 24, 2004
    #4
  5. dth

    BillZ Guest

    You're welcome.


    Bill
     
    BillZ, Sep 27, 2004
    #5
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.